Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Class PDFRendererOptionsConfig

    java.lang.Object
      org.apache.fop.render.pdf.PDFRendererOptionsConfig

    public final class PDFRendererOptionsConfig

extends java.lang.Object

The renderer options configuration data.

Method Summary
`java.lang.Boolean` | `getDisableSRGBColorSpace()`
`PDFEncryptionParams` | `getEncryptionParameters()`
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getFilterMap()`
`java.lang.Boolean` | `getLinearizationEnabled()`
`java.lang.Boolean` | `getMergeFontsEnabled()`
`java.net.URI` | `getOutputProfileURI()`
`PDFAMode` | `getPDFAMode()`
`PDFUAMode` | `getPDFUAMode()`
`Version` | `getPDFVersion()`
`PDFVTMode` | `getPDFVTMode()`
`PDFXMode` | `getPDFXMode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFilterMap

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getFilterMap()

### getPDFAMode

    public PDFAMode getPDFAMode()

### getPDFUAMode

    public PDFUAMode getPDFUAMode()

### getPDFXMode

    public PDFXMode getPDFXMode()

### getPDFVTMode

    public PDFVTMode getPDFVTMode()

### getEncryptionParameters

    public PDFEncryptionParams getEncryptionParameters()

### getOutputProfileURI

    public java.net.URI getOutputProfileURI()

### getDisableSRGBColorSpace

    public java.lang.Boolean getDisableSRGBColorSpace()

### getPDFVersion

    public Version getPDFVersion()

### getMergeFontsEnabled

    public java.lang.Boolean getMergeFontsEnabled()

### getLinearizationEnabled

    public java.lang.Boolean getLinearizationEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.